Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.matchers
Class NameMatcher<T extends Key<?>>

    java.lang.Object
      org.quartz.impl.matchers.StringMatcher<T>
          org.quartz.impl.matchers.NameMatcher<T>

All Implemented Interfaces:
  Serializable, Matcher<T>

    public class NameMatcher<T extends Key<?>>

extends StringMatcher<T>

Matches on name (ignores group) property of Keys.

Author:
  jhouse
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.quartz.impl.matchers.StringMatcher
`StringMatcher.StringOperatorName`

Field Summary

Fields inherited from class org.quartz.impl.matchers.StringMatcher
`compareTo, compareWith`

Constructor Summary
`protected` | `NameMatcher(String compareTo, StringMatcher.StringOperatorName compareWith)`

Method Summary
`protected String` | `getValue(T key)`
`static NameMatcher<JobKey>` | `jobNameContains(String compareTo)` Create a NameMatcher that matches job names containing the given string.
`static NameMatcher<JobKey>` | `jobNameEndsWith(String compareTo)` Create a NameMatcher that matches job names ending with the given string.
`static NameMatcher<JobKey>` | `jobNameEquals(String compareTo)` Create a NameMatcher that matches job names equaling the given string.
`static NameMatcher<JobKey>` | `jobNameStartsWith(String compareTo)` Create a NameMatcher that matches job names starting with the given string.
`static
`<U extends Key<?>> NameMatcher<U>`
` | `nameContains(String compareTo)` Create a NameMatcher that matches names containing the given string.
`static
`<U extends Key<?>> NameMatcher<U>`
` | `nameEndsWith(String compareTo)` Create a NameMatcher that matches names ending with the given string.
`static
`<T extends Key<?>> NameMatcher<T>`
` | `nameEquals(String compareTo)` Create a NameMatcher that matches names equaling the given string.
`static
`<U extends Key<?>> NameMatcher<U>`
` | `nameStartsWith(String compareTo)` Create a NameMatcher that matches names starting with the given string.
`static NameMatcher<TriggerKey>` | `triggerNameContains(String compareTo)` Create a NameMatcher that matches trigger names containing the given string.
`static NameMatcher<TriggerKey>` | `triggerNameEndsWith(String compareTo)` Create a NameMatcher that matches trigger names ending with the given string.
`static NameMatcher<TriggerKey>` | `triggerNameEquals(String compareTo)` Create a NameMatcher that matches trigger names equaling the given string.
`static NameMatcher<TriggerKey>` | `triggerNameStartsWith(String compareTo)` Create a NameMatcher that matches trigger names starting with the given string.

Methods inherited from class org.quartz.impl.matchers.StringMatcher
`equals, getCompareToValue, getCompareWithOperator, hashCode, isMatch`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameMatcher

    protected NameMatcher(String compareTo,
                          StringMatcher.StringOperatorName compareWith)

Method Detail

### nameEquals

    public static <T extends Key<?>> NameMatcher<T> nameEquals(String compareTo)

  Create a NameMatcher that matches names equaling the given string.

### jobNameEquals

    public static NameMatcher<JobKey> jobNameEquals(String compareTo)

  Create a NameMatcher that matches job names equaling the given string.

### triggerNameEquals

    public static NameMatcher<TriggerKey> triggerNameEquals(String compareTo)

  Create a NameMatcher that matches trigger names equaling the given string.

### nameStartsWith

    public static <U extends Key<?>> NameMatcher<U> nameStartsWith(String compareTo)

  Create a NameMatcher that matches names starting with the given string.

### jobNameStartsWith

    public static NameMatcher<JobKey> jobNameStartsWith(String compareTo)

  Create a NameMatcher that matches job names starting with the given string.

### triggerNameStartsWith

    public static NameMatcher<TriggerKey> triggerNameStartsWith(String compareTo)

  Create a NameMatcher that matches trigger names starting with the given string.

### nameEndsWith

    public static <U extends Key<?>> NameMatcher<U> nameEndsWith(String compareTo)

  Create a NameMatcher that matches names ending with the given string.

### jobNameEndsWith

    public static NameMatcher<JobKey> jobNameEndsWith(String compareTo)

  Create a NameMatcher that matches job names ending with the given string.

### triggerNameEndsWith

    public static NameMatcher<TriggerKey> triggerNameEndsWith(String compareTo)

  Create a NameMatcher that matches trigger names ending with the given string.

### nameContains

    public static <U extends Key<?>> NameMatcher<U> nameContains(String compareTo)

  Create a NameMatcher that matches names containing the given string.

### jobNameContains

    public static NameMatcher<JobKey> jobNameContains(String compareTo)

  Create a NameMatcher that matches job names containing the given string.

### triggerNameContains

    public static NameMatcher<TriggerKey> triggerNameContains(String compareTo)

  Create a NameMatcher that matches trigger names containing the given string.

### getValue

    protected String getValue(T key)

  Specified by:
    `getValue` in class `StringMatcher<T extends Key<?>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.